<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetGroupMembershipsInFolder Method (IEdmUser9)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmUser9 Interface : GetGroupMembershipsInFolder Method (IEdmUser9)

Visual Basic
C#
C++/CLI

lFolderID
  ID of folder for which to get memberships

Gets all of the groups to which this user belongs and for the specified folder.

# Syntax

Visual Basic |
--- | ---

    Function GetGroupMembershipsInFolder( _
       ByVal lFolderID As System.Integer _
    ) As System.Object()

C# |
--- | ---

    System.object[] GetGroupMembershipsInFolder(
       System.int lFolderID
    )

C++/CLI |
--- | ---

    System.array<Object^>^ GetGroupMembershipsInFolder(
    &   System.int lFolderID
    )

#### Parameters

lFolderID
  ID of folder for which to get memberships

#### Return Value

Array of IEdmUserGroup8 interfaces

# Example

Add and Remove User and Group from Folder (C#)
Add and Remove User and Group from Folder (VB.NET)

# Remarks

This method extends IEdmUser8::GetGroupMemberships, which only gets global group memberships. As of SOLIDWORKS PDM Professional 2011, it is possible to assign group memberships to a specific folder. This method gets folder-specific group memberships.

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmUser9 Interface
IEdmUser9 Members

# Availability

SOLIDWORKS PDM Professional 2011